<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_data_id   = Request("x_data_id")
x_data_name = Request("x_data_name")
x_odbc_name = Request("x_odbc_name")
x_odbc_user = Request("x_odbc_user")
x_sql_text  = Request("x_sql_text")
x_page_size = Request("x_page_size")
x_comments  = Request("x_comments")

If mode = "insert" Then

    data_cd = hex_encode(UCase(x_data_id))

    If err_msg = "" Then
        '// Open
        data_table.Open Server.MapPath(repository_conn & "DXT_DATA.xml")
        '// Filter
        data_table.Filter = "DATA_CD = '" & data_cd & "'"
        '// Result
        If Not data_table.EOF Then
            err_msg = "・同じデータIDが既に登録されています。"
        End If
        '// Close
        data_table.Close
    End If

    If err_msg = "" Then
        '// Open
        data_table.Open Server.MapPath(repository_conn & "DXT_DATA.xml"), , adOpenKeyset, adLockOptimistic
        '// Array
        ReDim FieldList(data_table.Fields.Count - 1)
        ReDim Values(data_table.Fields.Count - 1)
        '// Fields.Name
        For n = 0 To data_table.Fields.Count - 1
            FieldList(n) = data_table.Fields(n).Name
        Next
        '// Values (REC_DATE, REC_USER, DATA_ID, DATA_CD, DATA_NAME, ODBC_NAME, ODBC_USER, SQL_TEXT, PAGE_SIZE, COMMENTS)
        Values(0) = Date & " " & Time
        Values(1) = Session.Contents("user_name")
        Values(2) = x_data_id
        Values(3) = data_cd
        Values(4) = x_data_name
        Values(5) = x_odbc_name
        Values(6) = x_odbc_user
        Values(7) = x_sql_text
        Values(8) = x_page_size
        Values(9) = x_comments
        '// レコード追加
        data_table.AddNew FieldList, Values
        '// Filter
        data_table.Filter = ""
        '// 保存
        data_table.Save , adPersistXML
        '// Result
        If Err Then
            err_msg = "[ERROR] " & Err.Number & ":" & Err.Description
        End If
        '// Close
        data_table.Close
    End If

    If err_msg = "" Then
        x_data_id   = ""
        x_data_name = ""
        x_odbc_name = ""
        x_odbc_user = ""
        x_sql_text  = ""
        x_page_size = ""
        x_comments  = ""
        Response.Redirect "menu_data.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_data">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <div class="name">データID</div>
    <div class="form"><input type="text" name="x_data_id" value="<%=x_data_id%>" autofocus></div>
    <div class="name">データ名</div>
    <div class="form"><input type="text" name="x_data_name" value="<%=x_data_name%>"></div>
    <div class="name">ODBC名</div>
    <div class="form"><input type="text" name="x_odbc_name" value="<%=x_odbc_name%>" list="i_odbc_name" onchange="chg_odbc_name()"></div>
    <div class="name">ODBCユーザー</div>
    <div class="form"><input type="text" name="x_odbc_user" value="<%=x_odbc_user%>" list="i_odbc_user"></div>
    <div class="name">SQL文</div>
    <div class="form"><textarea name="x_sql_text"><%=x_sql_text%></textarea></div>
    <div class="name">データ分割サイズ</div>
    <div class="form"><input type="number" name="x_page_size" value="<%=x_page_size%>"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="登録" onclick="data_insert();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_odbc_name.asp" -->
<!-- #include file="datalist_odbc_user.asp" -->
<script src="menu_data_add.js"></script>
</body>
</html>
