<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg   = ""
x_odbc_name = Request("x_odbc_name")
x_odbc_user = Request("x_odbc_user")
x_odbc_pass = Request("x_odbc_pass")
x_comments  = Request("x_comments")

If mode = "insert" Then

    '// 暗号キー（データベース用）
    key = key_db()
    iv  = Left(key, 32)

    '// ODBCパスワード
    odbc_pass = encrypt(x_odbc_pass, iv, key)

    If err_msg = "" Then
        '// Open
        odbc_table.Open Server.MapPath(repository_conn & "DXT_ODBC.xml")
        '// Filter
        odbc_table.Filter = "ODBC_NAME = '" & x_odbc_name & "' AND ODBC_USER = '" & x_odbc_user & "'"
        '// Result
        If Not odbc_table.EOF Then
            err_msg = "・同じODBC名/ODBCユーザーが既に登録されています。"
        End If
        '// Close
        odbc_table.Close
    End If

    If err_msg = "" Then
        '// Open
        odbc_table.Open Server.MapPath(repository_conn & "DXT_ODBC.xml"), , adOpenKeyset, adLockOptimistic
        '// Array
        ReDim FieldList(odbc_table.Fields.Count - 1)
        ReDim Values(odbc_table.Fields.Count - 1)
        '// Fields.Name
        For n = 0 To odbc_table.Fields.Count - 1
            FieldList(n) = odbc_table.Fields(n).Name
        Next
        '// Values (REC_DATE, REC_USER, ODBC_NAME, ODBC_USER, ODBC_PASS, COMMENTS)
        Values(0) = Date & " " & Time
        Values(1) = Session.Contents("user_name")
        Values(2) = x_odbc_name
        Values(3) = x_odbc_user
        Values(4) = odbc_pass
        Values(5) = x_comments
        '// レコード追加
        odbc_table.AddNew FieldList, Values
        '// Filter
        odbc_table.Filter = ""
        '// 保存
        odbc_table.Save , adPersistXML
        '// Result
        If Err Then
            err_msg = "[ERROR] " & Err.Number & ":" & Err.Description
        End If
        '// Close
        odbc_table.Close
    End If

    If err_msg = "" Then
        x_odbc_name = ""
        x_odbc_user = ""
        x_odbc_pass = ""
        x_comments  = ""
        Response.Redirect "menu_odbc.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_odbc">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <div class="name">ODBC名</div>
    <div class="form"><input type="text" name="x_odbc_name" value="<%=x_odbc_name%>" list="i_dns_name" autofocus></div>
    <div class="name">ODBCユーザー</div>
    <div class="form"><input type="text" name="x_odbc_user" value="<%=x_odbc_user%>"></div>
    <div class="name">ODBCパスワード</div>
    <div class="form"><input type="password" name="x_odbc_pass" value="<%=x_odbc_pass%>"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="登録" onclick="odbc_insert();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_dns_name.asp" -->
<script src="menu_odbc_add.js"></script>
</body>
</html>
