<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_rec_date  = Request("x_rec_date")
x_rec_user  = Request("x_rec_user")
x_user_name = Request("x_user_name")
x_data_id   = Request("x_data_id")
x_data_name = Request("x_data_name")
x_comments  = Request("x_comments")

user_name = hex_decode(user_cd)
data_id   = hex_decode(data_cd)

If mode <> "update" Then

    '// Open
    udat_table.Open Server.MapPath(repository_conn & "DXT_UDAT.xml")
    data_table.Open Server.MapPath(repository_conn & "DXT_DATA.xml")
    '// Filter
    udat_table.Filter = "USER_NAME = '" & user_name & "' AND DATA_ID = '" & data_id & "'"
    data_table.Filter = "DATA_ID = '" & udat_table("DATA_ID") & "'"
    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If
    '// Fields.Value
    If Not udat_table.EOF Then
        x_rec_date  = udat_table("REC_DATE")
        x_rec_user  = udat_table("REC_USER")
        x_user_name = udat_table("USER_NAME")
        x_data_id   = udat_table("DATA_ID")
        x_data_name = data_table("DATA_NAME")
        x_comments  = udat_table("COMMENTS")
    End If
    '// Close
    udat_table.Close
    data_table.Close

End If

If mode = "update" Then

    '// Open
    udat_table.Open Server.MapPath(repository_conn & "DXT_UDAT.xml")
    '// Filter
    udat_table.Filter = "USER_NAME = '" & user_name & "' AND DATA_ID = '" & data_id & "'"
    '// Array
    ReDim FieldList(udat_table.Fields.Count - 1)
    ReDim Values(udat_table.Fields.Count - 1)
    '// Fields.Name
    For n = 0 To udat_table.Fields.Count - 1
        FieldList(n) = udat_table.Fields(n).Name
    Next
    '// Values (REC_DATE, REC_USER, USER_NAME, DATA_ID, COMMENTS)
    Values(0) = Date & " " & Time
    Values(1) = Session.Contents("user_name")
    Values(2) = x_user_name
    Values(3) = x_data_id
    Values(4) = x_comments
    '// レコード更新
    udat_table.Update FieldList, Values
    '// Filter
    udat_table.Filter = ""
    '// 保存
    udat_table.Save , adPersistXML
    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & ":" & Err.Description
    End If
    '// Close
    udat_table.Close

    If err_msg = "" Then
        x_rec_date  = ""
        x_rec_user  = ""
        x_user_name = ""
        x_data_id   = ""
        x_data_name = ""
        x_comments  = ""
        Response.Redirect "menu_udat.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_udat">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <input type="hidden" name="x_rec_date" value="<%=x_rec_date%>">
    <input type="hidden" name="x_rec_user" value="<%=x_rec_user%>">
    <input type="hidden" name="x_data_name" value="<%=x_data_name%>">
    <div class="name">更新日時</div>
    <div class="form"><input type="text" value="<%=x_rec_date%>" disabled></div>
    <div class="name">更新者</div>
    <div class="form"><input type="text" value="<%=x_rec_user%>" disabled></div>
    <div class="name">ユーザー名</div>
    <div class="form"><input type="text" name="x_user_name" value="<%=x_user_name%>" list="i_user_name" autofocus></div>
    <div class="name">データID</div>
    <div class="form"><input type="text" name="x_data_id" value="<%=x_data_id%>" list="i_data_id"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="変更" onclick="udat_update();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_user_name.asp" -->
<!-- #include file="datalist_data_id.asp" -->
<script src="menu_udat_chg.js"></script>
</body>
</html>
